Name:            dropbear
Version:         2017.75
Release:         1%{?dist}
Summary:         SSH2 server and client
Group:           Applications/Internet
License:         MIT
URL:             http://matt.ucc.asn.au/dropbear/dropbear.html
Source0:         http://matt.ucc.asn.au/%{name}/releases/%{name}-%{version}.tar.bz2
Source1:         dropbear.init
BuildRequires:   libtomcrypt-devel
BuildRequires:   libtommath-devel
BuildRequires:   pam-devel
BuildRequires:   zlib-devel
Requires(post):  chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun):initscripts

%description
Dropbear is a relatively small SSH server and client. Dropbear
is particularly useful for "embedded"-type Linux (or other Unix)
systems, such as wireless routers.

%prep
%setup -q

# convert CHANGES to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES{.utf8,}
mv CHANGES{.utf8,}

%build
%configure --enable-pam --disable-bundled-libtom
make %{?_smp_mflags}

%install
%make_install
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_initrddir}
install -pm755 %{S:1} %{buildroot}%{_initrddir}/dropbear

%post
/sbin/chkconfig --add dropbear

%postun
/sbin/service dropbear condrestart > /dev/null 2>&1 || :

%preun
if [ "$1" = 0 ]
then
	sbin/service dropbear stop > /dev/null 2>&1 || :
	sbin/chkconfig --del dropbear
fi

%files
%doc CHANGES LICENSE README TODO
%dir %{_sysconfdir}/dropbear
%{_initrddir}/dropbear
%{_bindir}/dropbearkey
%{_bindir}/dropbearconvert
%{_bindir}/dbclient
%{_sbindir}/dropbear
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%changelog
* Fri May 26 2017 Lennert Buytenhek <buytenh@wantstofly.org> - 2017.75-1
- Update to 2017.75 (#1452738)

* Mon Jul 25 2016 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2016.74-1
- new version

* Thu Mar 10 2016 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2016.72-1
- new version

* Sun Feb 01 2015 Christopher Meng <rpm@cicku.me> - 2015.67-1
- Update to 2015.67

* Fri Aug 08 2014 Christopher Meng <rpm@cicku.me> - 2014.65-1
- Update to 2014.65

* Mon Jul 28 2014 Christopher Meng <rpm@cicku.me> - 2014.64-1
- Update to 2014.64

* Wed Feb 19 2014 Christopher Meng <rpm@cicku.me> - 2014.63-1
- Update to 2014.63
- Enable pam support on EPEL6.

* Tue Dec 10 2013 Christopher Meng <rpm@cicku.me> - 2013.62-2
- Cleanup scriptlets

* Wed Dec 04 2013 Christopher Meng <rpm@cicku.me> - 2013.62-1
- Update to 2013.62

* Mon Oct 07 2013 Christopher Meng <rpm@cicku.me> - 2013.59-1
- Update to 2013.59
- Adapt the version tag to match the actual one.
- Add systemd BR(BZ#992141).
- Unbundle libtom libraries(BZ#992141).
- Add AArch64 support(BZ#925278).
- SPEC cleanup.

* Tue May 14 2013 Christopher Meng <rpm@cicku.me> - 0.58-1
- New upstream release.

* Sun Apr 01 2012 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.55-1
- new version 2012.55

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.52-1
- New version 0.5.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.50-3
- Autorebuild for GCC 4.3

* Mon Jan 10 2008 Lennert Buytenhek <buytenh@wantstofly.org> - 0.50-2
- Incorporate changes from Fedora package review:
  - Use full URL for Source0.
  - Ship dropbear.init with mode 0644 in the SRPM.
  - Convert CHANGES to utf-8 in %%setup, as the version shipped with
    dropbear 0.50 isn't utf-8 clean (it's in iso-8859-1.)
  - Add a reload entry to the init script, and don't enable the
    service by default.

* Mon Jan  7 2008 Lennert Buytenhek <buytenh@wantstofly.org> - 0.50-1
- Update to 0.50.
- Add init script.

* Fri Aug  3 2007 Lennert Buytenhek <buytenh@wantstofly.org> - 0.49-1
- Initial packaging.
